# $Revision: 1.15 $, $Date: 2004/05/06 18:43:01 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%define		_pacver	0.1
%include	/usr/lib/rpm/macros.perl
%define	pdir	Acme
%define	pnam	Cow
Summary:	Acme::Cow Perl module - talking cow
Summary(pl):	Modu Perla Acme::Cow - gadajca krowa
Name:		perl-Acme-Cow
Version:	%{_pacver}
Release:	0.9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.nog.net/~tony/warez/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f798f990d5e13c91d5cd85cc4e05d3b7
Source1:	cowsay.sysconfig
Source2:	cowsay.sh
Source3:	cowsay.csh
Patch0:		cowsay-PLD.patch
Patch1:		cowsay-random.patch
URL:		http://www.nog.net/~tony/warez/cowsay.shtml
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Text-Template
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Acme::Cow is the logical evolution of the old cowsay program.  Cows
are derived from a base class (Acme::Cow) or from external files.

Cows can be made to say or think many things, optionally filling and
justifying their text out to a given margin.

%description -l pl
Acme::Cow wyewoluowa logicznie ze starego programu cowsay. Krowy
pochodz z klasy bazowej (Acme::Cow) lub z plikw zewntrznych.

Krowy mog mwi i myle o wielu rzeczach, opcjonalnie dopeniajc i
wyrwnujc swj tekst do zadanego marginesu.

%package -n cowsay
Summary:	A Configurable Speaking/Thinking Cow
Summary(pl):	Konfigurowalna mwico-mylca krowa
Version:	4.00
Group:		Applications/Games

%description -n cowsay
cowsay is basically a text filter. Send some text into it, and you get
a cow saying your text. Very easy to use.

%description -n cowsay -l pl
cowsay to prosty filtr tekstowy. Podaje mu si troch tekstu, a on
wywietla krow mwic ten tekst. Bardzo proste w uyciu.

%package -n cowsay-on-login
Summary:	Displays cow on login
Summary(pl):	Pokazywanie si krowy przy logowaniu
Version:	4.00
Group:		Applications/Games
Requires:	cowsay
Obsoletes:	cowsay-on-login-static

%description -n cowsay-on-login
If you want a cow to be displayed each time when you log on this
package is what you need.

%description -n cowsay-on-login -l pl
Gdy si chce, eby krowa pokazywaa si przy kadym logowaniu ten
pakiet jest tym, czego potrzeba.

%prep
%setup -q -n %{pdir}-%{pnam}-%{_pacver}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install-cows \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

rm -f $RPM_BUILD_ROOT%{_bindir}/cowthink
ln -s %{_bindir}/cowsay $RPM_BUILD_ROOT%{_bindir}/cowthink

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{profile.d,sysconfig}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/cowsay
install %{SOURCE2}	$RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install %{SOURCE3}	$RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
# use macros:
#%{perl_vendorlib}/Acme/Cow.pm
%{perl_vendorlib}/Acme
#%%{perl_vendorarch}/...
%attr(755,root,root) %{_bindir}/cowpm
%{_mandir}/man3/*
%{_mandir}/man1/cowpm.1p*
%{_datadir}/cows

%files -n cowsay
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cowsay
%attr(755,root,root) %{_bindir}/cowthink
%{_mandir}/man1/cowsay*
%{_mandir}/man1/cowthink*

%files -n cowsay-on-login
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/profile.d/cowsay.*sh
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sysconfig/cowsay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Acme-Cow.spec,v $
Revision 1.15  2004/05/06 18:43:01  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/16 17:50:49  ankry
- better description, license fix

Revision 1.13  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.12  2004/03/09 19:42:28  adamg
- new style bconds

Revision 1.11  2003/08/21 15:21:19  qboosh
- no // in paths, other cosmetics

Revision 1.10  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/24 22:59:22  malekith
- test source-md5

Revision 1.7  2003/05/18 11:55:46  djrzulf
- release 0.9 - i have forgotten csh script,

Revision 1.6  2003/05/18 11:16:19  djrzulf
- Release 1,

Revision 1.5  2003/05/18 11:12:36  djrzulf
- cleanups,

Revision 1.4  2003/05/18 11:06:08  djrzulf
- updated TODO,
- random in config and sh scripts,
- release 0.4,

Revision 1.3  2003/05/18 10:48:41  malekith
- release 0.3
- random cows are back! :-)

Revision 1.2  2003/05/18 10:42:05  malekith
- more cows!
- release 0.2

Revision 1.1  2003/05/18 09:35:07  djrzulf
- from template-perl and cowsay,
- TODO updated,
- initial release,
